import request from '@/utils/request'

const api = {
    list: '/archives/project/listPage',
    projectUserList: '/archives/project/user/listPage',
    projectUserCourseList: '/archives/project/user/course/listPage',
    projectUserAnswerList: '/archives/project/user/answer/listPage'
}

// 项目档案 列表
export function getArchivesProjectList(params) {
    return request({
        url: api.list,
        method: 'get',
        params: params
    })
}

// 项目档案-人员记录 列表
export function getArchivesProjectUserList(params) {
    return request({
        url: api.projectUserList,
        method: 'get',
        params: params
    })
}

// 项目档案-人员记录-培训详情 列表
export function getArchivesProjectUserCourseList(params) {
    return request({
        url: api.projectUserCourseList,
        method: 'get',
        params: params
    })
}

// 项目档案-人员记录-答题记录 列表
export function getArchivesProjectUserAnswerList(params) {
    return request({
        url: api.projectUserAnswerList,
        method: 'get',
        params: params
    })
}